Bug 219624 - cad/freecad: update port to 20170527
Summary: cad/freecad: update port to 20170527
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-28 22:25 UTC by Thibault Jouan
Modified: 2017-06-18 19:39 UTC (History)
1 user (show)

See Also:
tj+freebsd_ports: maintainer-feedback+


Attachments
update port to 20170527 (7.44 KB, patch)
2017-05-28 22:25 UTC, Thibault Jouan
no flags Details | Diff
update port to 20170616 (8.71 KB, patch)
2017-06-16 14:28 UTC, Thibault Jouan
no flags Details | Diff
update port to 20170616 (9.54 KB, patch)
2017-06-18 10:35 UTC, Thibault Jouan
tj+freebsd_ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Jouan 2017-05-28 22:25:26 UTC
Created attachment 183020 [details]
update port to 20170527

Update the port to a recent commit.

I needed to patch two files for this update, I will report to upstream
and attempt to fix before next update.
Comment 1 Thibault Jouan 2017-06-16 14:28:39 UTC
Created attachment 183535 [details]
update port to 20170616

This new update is for a more recent snapshot, on 2017-06-16.

It has only one new patch instead of two. One issue was fixed
upstream, the other is reported.
Comment 2 Thibault Jouan 2017-06-18 10:35:00 UTC
Created attachment 183597 [details]
update port to 20170616

I apologize because I forgot to update pkg-plist in the last patch
posted. This new one fix plist errors.
Comment 3 commit-hook freebsd_committer 2017-06-18 19:38:48 UTC
A commit references this bug:

Author: ultima
Date: Sun Jun 18 19:38:20 UTC 2017
New revision: 443851
URL: https://svnweb.freebsd.org/changeset/ports/443851

Log:
  * Updated to 20170527 (d28bae3)

  PR:		219624
  Submitted by:	Thibault Jouan <tj+freebsd_ports@a13.fr> (maintainer)
  Reviewed by:	lifanov (mentor)
  Approved by:	lifanov (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11254

Changes:
  head/cad/freecad/Makefile
  head/cad/freecad/distinfo
  head/cad/freecad/files/patch-src_Base_Console.cpp
  head/cad/freecad/files/patch-src_Gui_CMakeLists.txt
  head/cad/freecad/pkg-plist
Comment 4 Richard Gallamore freebsd_committer 2017-06-18 19:39:58 UTC
Committed, thanks!